Install clipbucket on ubuntu 16.04


#1

Hey guys
am on Ubuntu server 16.04 I keep getting errors while installing the script
one of the errors was using deprecated MySQL in Ajax.php in cb_install folder I edited this file and finally installed db then another problem poped up and cannot find any solution for it

[Sat May 07 02:11:41.707578 2016] [:error] [pid 6388] [client 192.168.144.1:49697] PHP Fatal error:  Class DB_Exception may not inherit from final class (mysqli_sql_exception) in /var/www/html/includes/classes/exceptions/db_exception.php on line 0

so is clip bucket not compatible with php7 ?
what is the recommended server specification and plugins ( ffmpeg , mp4box, mediainfo … etc ).


#2

Hi,
how to install ClipBucket: http://docs.clip-bucket.com/clipbucket-installation
ClipBucket installation requirements: http://clip-bucket.com/cb-install-requirements/

I use Debian. Ubuntu is an open source project that develops and maintains a cross-platform, open-source operating system based on Debian.


#3

ok I installed Clip bucket of Ubuntu 15.10
when trying to convert video here is what i got

Converting Video SD File

Command : /usr/bin/ffmpeg -i
/var/www/html/clip/files/conversion_queue/146321923984262.mp4 -vcodec
libx264 -acodec libfdk_aac -s 600x480 -preset medium -f mp4 -b:v 300000
-minrate 300000 -maxrate 300000 -b:a 128000 -minrate 128000 -maxrate
128000 -r 25 -ar 22050
/var/www/html/clip/files/videos/2016/05/14/146321923984262-sd.mp4

ffmpeg output : ffmpeg version 2.7.6-0ubuntu0.15.10.1 Copyright © 2000-2016 the FFmpeg developers
built with gcc 5.2.1 (Ubuntu 5.2.1-22ubuntu2) 20151010

configuration: --prefix=/usr --extra-version=0ubuntu0.15.10.1
–build-suffix=-ffmpeg --toolchain=hardened
–libdir=/usr/lib/i386-linux-gnu --incdir=/usr/include/i386-linux-gnu
–enable-gpl --enable-shared --disable-stripping --enable-avresample
–enable-avisynth --enable-frei0r --enable-gnutls --enable-ladspa
–enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca
–enable-libcdio --enable-libflite --enable-libfontconfig
–enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm
–enable-libmodplug --enable-libmp3lame --enable-libopenjpeg
–enable-openal --enable-libopus --enable-libpulse --enable-librtmp
–enable-libschroedinger --enable-libshine --enable-libspeex
–enable-libtheora --enable-libtwolame --enable-libvorbis
–enable-libvpx --enable-libwavpack --enable-libwebp --enable-libxvid
–enable-libzvbi --enable-opengl --enable-x11grab --enable-libdc1394
–enable-libiec61883 --enable-libzmq --enable-libssh --enable-libsoxr
–enable-libx264 --enable-libopencv --enable-libx265 --disable-i686
libavutil 54. 27.100 / 54. 27.100
libavcodec 56. 41.100 / 56. 41.100
libavformat 56. 36.100 / 56. 36.100
libavdevice 56. 4.100 / 56. 4.100
libavfilter 5. 16.101 / 5. 16.101
libavresample 2. 1. 0 / 2. 1. 0
libswscale 3. 1.101 / 3. 1.101
libswresample 1. 2.100 / 1. 2.100
libpostproc 53. 3.100 / 53. 3.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from ‘/var/www/html/clip/files/conversion_queue/146321923984262.mp4’:
Metadata:
major_brand : isom
minor_version : 512
compatible_brands: isomiso2avc1mp41
encoder : Lavf56.25.101
Duration: 00:00:39.99, start: 0.016009, bitrate: 640 kb/s

Stream #0:0(und): Video: h264 (Main) (avc1 / 0x31637661), yuv420p, 

600x480 [SAR 1:1 DAR 5:4], 529 kb/s, 25 fps, 25 tbr, 90k tbn, 50 tbc
(default)
Metadata:
handler_name : VideoHandler
Stream #0:1(und): Audio: aac (LC) (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 125 kb/s (default)
Metadata:
handler_name : SoundHandler
Unknown encoder 'libfdk_aac’


#4

You need to compile your ffmpeg with libfdk_aac. That will do it.

Saqib Razzaq
ClipBucket Developer


#5

Please share with use installation steps for Ubuntu 16.04 because everyone try Ubuntu 16.04 but CB support modules are not working for 16.04. I think CB team should need to share installation steps.